<?
// *******************************************************************
//  admin/setup.php
// *******************************************************************

include("../include/config.php");
include("../include/functions.php");

include("../include/common.php");
$language = $gl["Language"];

include("../include/lang/$language.php");

include("../include/session.php");
session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html>
<head>
<title></title>
<link rel = "stylesheet" type = "text/css" href = "style.css" />
</head>
<?=$adm_body?>
<table cellspacing="0" cellpadding="5" border="1" align="center" width="100%">
<tr>
	<td class="theader">These are the short install/upgrade instructions.  For a more complete version, go to <a href="http://docs.phplinks.org/" target="_self">http://docs.phplinks.org/</a>.</td>
</tr>
</table><br />
<table cellspacing="0" cellpadding="5" border="1" align="center" width="100%">
<tr>
	<td class="theader">Fresh Install:</td>
</tr>
<tr>
	<td class="text">
	<br />
	<ol>
		<li>Upload files.</li>
		<li>Create a database:<br/>mysql> create database phpLinks2;</li>
		<li>Create tables and insert initial data from <a href="phpLinks2.sql" target="_blank">phpLinks2.sql</a>.  If your webhost only allows one MySQL database, then you can change the table names so they don't conflict with any existing tables.</li>
		<li>Rename include/config.php-dist to config.php.  Edit as needed.  We do not distribute a file named 'config.php', only a file named config.php-dist.  You must rename it as config.php to get phpLinks to work.</li>
		<li>Go to http://yourdomain.com/phpLinks/admin/.</li>
		<li>Click <a href="configuration.php?<?=session_name()?>=<?=session_id()?>">Configuration</a> and setup final variables.</li>
	</ol></td>
</tr>
<tr>
	<td class="theader">Upgrade From 2.x:</td>
</tr>
<tr>
	<td class="text">
	<br />
	<ol>
		<li>Backup your current database.</li>
		<li>Upload phpLinks files to a new temporary directory. Overwriting old phpLinks files is not recommended.</li>
		<li>Rename include/config.php-dist to config.php.  Edit as needed.</li>
		<li>Perform latest database changes in <a href="upgrade.sql" target="_blank">upgrade.sql</a>.  Please note you should not source the entire file in, just the section for your upgrade version.  Open the file and read it first.</li>
		<li>Go to http://yourdomain.com/phpLinks/admin/.</li>
	</ol>
	Special:
	<ul>
		<li>To go from 2.1.1 to 2.1.2 you must run <a href="upgrade/convert_related_2.1.1-2.1.2.php" target="_self">convert_related_2.1.1-2.1.2.php</a>.</li>
	</ul>
	</td>
</tr>
</table>
</body>
</html>
