<?php
require ("_functions.php");
require("_header.php");
require("_board_jump.php");

function daynumber($time) {
 $daynumber=date('w', $time);
 if($daynumber==0) return 6;
 else return $daynumber-1;
}
	
if(!$action) {

$today_day = date("j",mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"))+$timeoffset*3600);
$today_month = date("n",mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"))+$timeoffset*3600);
$today_year = date("Y",mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"))+$timeoffset*3600);
$today_monthname = get_month_name($today_month);

if(!$month || $month<1 || $month>12) $month=$today_month;
if(!$year || $year<1970) $year=$today_year;
$countdays=1;
$monthname = get_month_name($month);

if($month==1) {
 $prev_month=12;
 $prev_year=$year-1;
 $prev_monthname=get_month_name($prev_month);
}
else {
 $prev_month=$month-1;
 $prev_year=$year;
 $prev_monthname=get_month_name($prev_month);
}
if($month==12) {
 $next_month=1;
 $next_year=$year+1;
 $next_monthname=get_month_name($next_month);
}
else {
 $next_month=$month+1;
 $next_year=$year;
 $next_monthname=get_month_name($next_month);
}

if($monthname=="M&auml;rz") $where2 = "OR age_m = 'Mrz'";
$result = $db_zugriff->query("SELECT userid, username, age_d, age_y FROM bb".$n."_user_table WHERE age_m = '$monthname' $where2 ORDER BY username ASC");
while($row=$db_zugriff->fetch_array($result)) $birthdaycache[$row[age_d]][]=$row;

$currentdate="$year".ifelse($month<10,"0","")."$month";
$result = $db_zugriff->query("SELECT eventid, subject, eventdate, public FROM bb".$n."_events WHERE eventdate LIKE '$currentdate%' AND ((userid >= 1 AND userid = '$user_id') OR public = '1') ORDER BY public ASC, subject ASC");
while($row=$db_zugriff->fetch_array($result)) $eventcache[intval(substr($row[eventdate], 6))][]=$row;

for($i=$today_year-1;$i<$today_year+4;$i++) $yearbits.="<option value=\"$i\">$i</option>\r\n";

while (checkdate($month,$countdays,$year)) $countdays++;

$day=1;
$weeknumber = ceil((date('z', mktime(0,0,0,$month,$day,$year))+1)/7);
while($day<$countdays) {
 unset($events);
 unset($week);
 
 $daynumber = daynumber(mktime(0,0,0,$month,$day,$year));
 if($day==1) {
  if($daynumber>0) $day_bits .= str_repeat("<td bgcolor=\"{pagebgcolor}\">&nbsp;</td>", $daynumber);
 }
 
 if($daynumber==0) eval ("\$week = \"".gettemplate("calender_week")."\";");
 
 if(count($eventcache[$day])) {
  while(list($key,$event)=each($eventcache[$day])) {
   if($event[public]==1) eval ("\$events .= \"".gettemplate("calender_publicevent")."\";");
   else eval ("\$events .= \"".gettemplate("calender_privateevent")."\";");
  }
 }
 
 if(count($birthdaycache[$day])) {
  while(list($key,$birthday)=each($birthdaycache[$day])) {
   $age = $year-$birthday[age_y];
   if($age<0) continue;
   if($age>120) $age="";
   else $age="($age)";
   eval ("\$events .= \"".gettemplate("calender_birthday")."\";");
  }
 }
 
 if($month==$today_month && $year==$today_year && $day==$today_day) eval ("\$day_bits .= \"".gettemplate("calender_todaybits")."\";");
 else eval ("\$day_bits .= \"".gettemplate("calender_daybits")."\";");

 if($day+1==$countdays) {
  if($daynumber<6) $day_bits .= str_repeat("<td bgcolor=\"{pagebgcolor}\">&nbsp;</td>", 6-$daynumber)."</tr>";
  else $day_bits."</tr>";
 }
 elseif($daynumber==6) {
  $day_bits .= "</tr><tr>";
  $weeknumber++;
  if($weeknumber>52) $weeknumber=1;
 }
 $day++;
}

if($userdata[ismod]==1 || $userdata[issupermod]==1 || $userdata[canuseacp]==1) eval ("\$addpublicevent = \"".gettemplate("calender_addpublicevent")."\";");
if($user_id) eval ("\$addprivateevent = \"".gettemplate("calender_addprivateevent")."\";");

eval("dooutput(\"".gettemplate("calender_view")."\");");
}

if($action=="viewevent") {
 $event = $db_zugriff->query_first("SELECT bb".$n."_events.*, bb".$n."_user_table.username FROM bb".$n."_events LEFT JOIN bb".$n."_user_table USING (userid) WHERE eventid='$id'");
 if($event[public]==0 && $event[userid]!=$user_id) {
  header("LOCATION: misc.php?action=access_error&boardid=$boardid$session");
  exit();
 }
 if(($event[public]==1 && ($userdata[ismod]==1 || $userdata[issupermod]==1 || $userdata[canuseacp]==1)) || ($event[public]==0 && $event[userid]==$user_id)) eval ("\$editevent = \"".gettemplate("calender_editevent_btn")."\";");
 
 $event[subject] = prepare_topic($event[subject]);
 $event[event] = editPost($event[event],$event[allowsmilies]);
 $eventdate = substr($event[eventdate], 6).".".substr($event[eventdate], 4, 2).".".substr($event[eventdate], 0, 4);
 
 eval("dooutput(\"".gettemplate("calender_viewevent")."\");");
}

if($action=="addevent") {
 if(!$user_id) {
  header("LOCATION: misc.php?action=access_error&boardid=$boardid$session");
  exit();
 }
 if($type=="public" && $userdata[ismod]!=1 && $userdata[issupermod]!=1 && $userdata[canuseacp]==1) {
  header("LOCATION: misc.php?action=access_error&boardid=$boardid$session");
  exit();
 }
 if($send=="send") {
  $subject = trim($subject);
  $message = trim($message);
  if(!$subject || !$message) eval ("\$error = \"".gettemplate("calender_error2")."\";");
  elseif(!checkdate($month,$day,$year)) eval ("\$error = \"".gettemplate("calender_error1")."\";");
  else {
   if($parseurl==1) $message = parseURL($message);
   $db_zugriff->query("INSERT INTO bb".$n."_events (eventid,userid,subject,event,eventdate,public,disable_smilies) VALUES (NULL,'$user_id','".htmlspecialchars(editPostdata($subject))."','".editPostdata($message)."','$year".ifelse($month<10,"0","")."$month".ifelse($day<10,"0","")."$day','".ifelse($type=="public","1","0")."','$disablesmilies')");
   $eventid=$db_zugriff->insert_id();
   header("Location: calender.php?action=viewevent&id=$eventid$session");
   exit();
  }
 }
 
 if($bbcode && $u_bbcode) $bbcode_buttons = getcodebuttons();
 if($smilies && $u_bbcode) $bbcode_smilies = getclickysmilies(3,$anzahl_smilies);

 if(!isset($parseurl)) $checked[0]="checked";
 if($parseurl==1) $checked[0]="checked";
 if($disablesmilies==1) $checked[1]="checked";

 if(!$day) $day = date("j",mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"))+$timeoffset*3600);
 if(!$month) $month = date("n",mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"))+$timeoffset*3600);
 $current_year = date("Y",mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"))+$timeoffset*3600);
 if(!$year) $year = $current_year;
 
 for($i=1;$i<32;$i++) $day_options .= "<option value=\"$i\"".ifelse($i==$day," selected","").">$i</option>\r\n";
 for($i=1;$i<13;$i++) $month_options .= "<option value=\"$i\"".ifelse($i==$month," selected","").">".get_month_name($i)."</option>\r\n";
 for($i=$current_year;$i<$current_year+5;$i++) $year_options .= "<option value=\"$i\"".ifelse($i==$year," selected","").">$i</option>\r\n";

 eval("dooutput(\"".gettemplate("calender_addevent")."\");");
}

if($action=="editevent") {
 $event = $db_zugriff->query_first("SELECT bb".$n."_events.* FROM bb".$n."_events WHERE eventid='$id'");
 if(($event[public]==1 && ($userdata[ismod]==1 || $userdata[issupermod]==1 || $userdata[canuseacp]==1)) || ($event[public]==0 && $event[userid]==$user_id)) {
  if($send=="send") {
   if($deleteevent==1) {
    $db_zugriff->query("DELETE FROM bb".$n."_events WHERE eventid = '$id'");
    header("Location: calender.php$session2");
    exit();
   } 
   $subject = trim($subject);
   $message = trim($message);
   if(!$subject || !$message) eval ("\$error = \"".gettemplate("calender_error2")."\";");
   elseif(!checkdate($month,$day,$year)) eval ("\$error = \"".gettemplate("calender_error1")."\";");
   else {
    if($parseurl==1) $message = parseURL($message);
    $db_zugriff->query("UPDATE bb".$n."_events SET subject = '".editPostdata($subject)."', event = '".editPostdata($message)."', eventdate = '$year".ifelse($month<10,"0","")."$month".ifelse($day<10,"0","")."$day', public = '".ifelse($type=="public","1","0")."', disable_smilies='$disablesmilies' WHERE eventid = '$id'");
    header("Location: calender.php?action=viewevent&id=$id$session");
    exit();
   }
  }
  else {
   $subject=editDBdata($event[subject]);
   $message=editDBdata($event[event]);
   $type=ifelse($event[public]==1,"public","private");
  }
  if($bbcode && $u_bbcode) $bbcode_buttons = getcodebuttons();
  if($smilies && $u_bbcode) $bbcode_smilies = getclickysmilies(3,$anzahl_smilies);
 
  if(!isset($parseurl)) $checked[0]="checked";
  if($parseurl==1) $checked[0]="checked";
  if($disablesmilies==1) $checked[1]="checked";
  
  if(!$day) $day = intval(substr($event[eventdate], 6));
  if(!$month) $month = intval(substr($event[eventdate], 4, 2));
  $current_year = date("Y",mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"))+$timeoffset*3600);
  if(!$year) $year = intval(substr($event[eventdate], 0, 4));
  
  for($i=1;$i<32;$i++) $day_options .= "<option value=\"$i\"".ifelse($i==$day," selected","").">$i</option>\r\n";
  for($i=1;$i<13;$i++) $month_options .= "<option value=\"$i\"".ifelse($i==$month," selected","").">".get_month_name($i)."</option>\r\n";
  for($i=$current_year;$i<$current_year+5;$i++) $year_options .= "<option value=\"$i\"".ifelse($i==$year," selected","").">$i</option>\r\n";
 
  eval("dooutput(\"".gettemplate("calender_editevent")."\");");
 }
 else header("LOCATION: misc.php?action=access_error&boardid=$boardid$session");
}











?>
